monkey - Bug #749
Upstream web site disappeared
10 Mar 2020 14:02 - Hammel

Status: Closed Start date: 10 Mar 2020
Priority: Immediate Due date:

Assignee: Hammel % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.1.0 - Upgrades

Severity: 01 - Critical

Description

Downloading monkey from the tarball is failing because monkey-project.com went away.
There is a GIT repo: https://github.com/monkey/monkey.qit
| need to test if the git repo will build easily and, if so, switch to it for the monkey app build.

This failure is blocking app builds for the media system, which is being used to test updates to piboxMsg() for picam.

Related issues:
Blocks libpibox - Action Item # 549: Port picam pncMsgSend() to libpibox Closed 05 Sep 2016

Associated revisions

Revision b808ca23 - 10 Mar 2020 14:48 - Hammel

RM #749: Switch from tarball release from monkey-project.com to git clone from GitHub because the former seems to have disappeared. Clone and
checkout to v1.2.2 which is the version that's been used up till now.

History

#1 - 10 Mar 2020 14:12 - Hammel
- Status changed from New to In Progress
- % Done changed from 0 to 10

The GIT repo latest is v1.6 (branch 1.6). This does not build natively on my x86 Linux box. However, if | checkout v1.2.2 which is the version I've been

using up till now, it builds quite easily.

So I'll try to switch the monkey build from a tarball to a git clone.

#2 - 10 Mar 2020 14:52 - Hammel

- Status changed from In Progress to Closed

- % Done changed from 10 to 100

That was easy. PiBox makes this stuff a breeze.

Monkey migrated to GitHub and tag v1.2.2 (same as release I've been using up till now.). Build tested and artifacts deployed and verified working.

Changes committed and pushed.

Closing issue.
